package org.springblade.flow.engine.custom.type;


import org.flowable.common.engine.api.delegate.event.FlowableEvent;
import org.flowable.common.engine.api.delegate.event.FlowableEventListener;
import org.springframework.stereotype.Component;

import lombok.extern.slf4j.Slf4j;

/**
 * @author LoveMyOrange
 * @create 2022-01-11 21:32
 */
@Component
@Slf4j
public class ProcessStartedListener implements FlowableEventListener {
    @Override
    public void onEvent(FlowableEvent event) {

    }

    @Override
    public boolean isFailOnException() {
        return true;
    }

    @Override
    public boolean isFireOnTransactionLifecycleEvent() {
        return false;
    }

    @Override
    public String getOnTransaction() {
        return null;
    }
}
